Package org.eclipse.cdt.core

# Interface IConsoleParser

All Known Subinterfaces:
  `ICBuildOutputParser`, `IConsoleParser2`

All Known Implementing Classes:
  `CBuildConfiguration`, `ErrorParserManager`, `StandardBuildConfiguration`

public interface IConsoleParser
A basic interface for console parsers

## Method Summary

Modifier and Type
Method
Description
`boolean`
`processLine(String line)`
Parse one line of output.
`void`
`shutdown()`
Called to let the parser know that the end of the error stream has been reached.

## Method Details

### processLine

boolean processLine(String line)
Parse one line of output.

Parameters:
  `line` -
Returns:
  true if line was successfully processed; skip other console parsers

  false - try other console parsers

### shutdown

void shutdown()
Called to let the parser know that the end of the error stream has been reached. Can be used by the parser to flush its internal buffers.